Oore CI
ReferenceAPIOperationsInstance Settings

Update instance preferences

Update instance-wide preferences (e.g. key storage mode).

Operation IDupdate_instance_preferences
PUT
/v1/settings/preferences

Update instance-wide preferences (e.g. key storage mode).

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/settings/preferences" \  -H "Content-Type: application/json" \  -d '{    "key_storage_mode": "keychain"  }'
{  "preferences": {    "direct_macos_runner_paused": true,    "key_storage_mode": "keychain",    "remote_auth_mode": "oidc",    "restart_required": true,    "runtime_mode": "local",    "updated_at": 0  }}